# Uses of Class
javafx.beans.binding.When.ObjectConditionBuilder

Packages that use When.ObjectConditionBuilder
Package
Description
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.

## Uses of When.ObjectConditionBuilder in javafx.beans.binding

Methods in javafx.beans.binding that return When.ObjectConditionBuilder
Modifier and Type
Method
Description
`<T> When.ObjectConditionBuilder<T>`
When.`then(ObservableObjectValue<T> thenValue)`
Defines the `ObservableObjectValue` which value is returned by the ternary expression if the condition is `true`.
`<T> When.ObjectConditionBuilder<T>`
When.`then(T thenValue)`
Defines a constant value of the ternary expression, that is returned if the condition is `true`.